# NewStateEventHandler Delegate
summaryT:AsterNET.Manager.NewStateEventHandler

AsterNet Class Library (Sandcastle documentation)

| NewStateEventHandler Delegate

[Missing <summary> documentation for "T:AsterNET.Manager.NewStateEventHandler"]

Namespace: AsterNET.Manager
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public delegate void NewStateEventHandler(
    	Object sender,
    	NewStateEvent e
    )

    Public Delegate Sub NewStateEventHandler (
    	sender As Object,
    	e As NewStateEvent
    )

    public delegate void NewStateEventHandler(
    	Object^ sender,
    	NewStateEvent^ e
    )

    type NewStateEventHandler =
        delegate of
            sender : Object *
            e : NewStateEvent -> unit

#### Parameters

sender
  Type: System
  Object
e
  Type: AsterNET.Manager.Event
  NewStateEvent

See Also

#### Reference

AsterNET.Manager Namespace